Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

New Firefox is not supported on my Imac G5 with OS10.5.8. Can I get an old version?

  • 1 baphendule
  • 8 zinale nkinga
  • 8 views
  • Igcine ukuphendulwa ngu the-edmeister

more options

My hard drive died without backup, so I have been re-downloading all my files. I tried to download Firefox, but my computer can't support it. It is Intel based. Can I get an older version that will be compatible with my OS 10.5..8 ?

Isisombululo esikhethiwe

You posted here with a PPC Mac, it that the same PC that you need Firefox for?

Firefox 3.6.x is the last available from Mozilla for PPC Macs.
http://www.mozilla.com/en-US/firefox/all-older.html

If you have an Intel Mac with 10.5.8, you can use the newest versions of Firefox.
http://www.mozilla.com/en-US/firefox/

http://www.mozilla.org/en-US/firefox/8.0/system-requirements/

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 3

All Replies (1)

more options

Isisombululo Esikhethiwe

You posted here with a PPC Mac, it that the same PC that you need Firefox for?

Firefox 3.6.x is the last available from Mozilla for PPC Macs.
http://www.mozilla.com/en-US/firefox/all-older.html

If you have an Intel Mac with 10.5.8, you can use the newest versions of Firefox.
http://www.mozilla.com/en-US/firefox/

http://www.mozilla.org/en-US/firefox/8.0/system-requirements/